SRCDIR = .
SUBDIRS = zlib pbm pgm ppm pnm fbm jpeg rle tiff png

include $(SRCDIR)/Make.Rules

# targets
most: archive shared
install : install_a install_s install_h
everything: most progs
install_everything : install install_p install_m

archive shared install_a install_s install_h install_p install_m clean progs:
	set -e; for dir in $(SUBDIRS); do \
		(cd $$dir; make $@); \
	done
